import type { _GCControllerButtonInput } from "./GCControllerButtonInput.js";
import type { _GCControllerDirectionPad } from "./GCControllerDirectionPad.js";
import type { _GCExtendedGamepad } from "./GCExtendedGamepad.js";
export declare class _GCDualShockGamepad extends _GCExtendedGamepad {
    static alloc(): _GCDualShockGamepad;
    static new(): _GCDualShockGamepad;
    init(): _GCDualShockGamepad;
    /** DualShock controllers have a touchpad with a button and two-finger tracking. */
    touchpadButton(): _GCControllerButtonInput;
    touchpadPrimary(): _GCControllerDirectionPad;
    touchpadSecondary(): _GCControllerDirectionPad;
}
